package org.toastedtruth.json.gui;

import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import javax.swing.JOptionPane;

public class ButtonListener implements ActionListener {

    private final MainPanel main;

    public ButtonListener(MainPanel main) {
        this.main = main;
    }

    @Override
    public void actionPerformed(ActionEvent event) {
        if (event.getActionCommand().equals("expand")) {
            main.expandTree();
            return;
        }

        if (event.getActionCommand().equals("collapse")) {
            main.collapseTree();
            return;
        }

        if (event.getActionCommand().equals("add")) {
            if (main.getCurrentName() == null || main.getCurrentName().isEmpty()) {
                JOptionPane.showMessageDialog(null, "Node cannot be empty and should follow the style:\n\"node.subnode.Name.valueName\"\n\neg.: event.Art Show.description", "Invalid node", JOptionPane.ERROR_MESSAGE);
                return;
            }
            main.t.add(main.getCurrentName(), main.getCurrentValue());
            main.setSyntax(main.t.toJsonObject().toString(2));
            main.redrawTree();
            return;
        }

        if (event.getActionCommand().equals("remove")) {
            return;
        }
    }
}
