package org.toastedtruth.json.gui;

import java.io.File;

import javax.swing.filechooser.FileFilter;

public class JsonFilter extends FileFilter {

    public static String getExtension(File f) {
        String ext = null;
        String s = f.getName();
        int i = s.lastIndexOf('.');

        if (i > 0 && i < s.length() - 1) {
            ext = s.substring(i + 1).toLowerCase();
        }
        return ext;
    }

    @Override
    public boolean accept(File f) {
        if (f.isDirectory()) {
            return true;
        }

        String extension = getExtension(f);
        return extension != null && extension.equalsIgnoreCase("json") ? true : false;
    }

    @Override
    public String getDescription() {
        return "JSON Files (*.json)";
    }
}
